A Sandcastle Documented Class Library

# ButterflowSubregion Class

A butterflow video subregion. Represents a snippet of a video on which butterflow will act.
Inheritance Hierarchy
System
Object
butterflow_ui
PropertyChangedAlerter
butterflow_ui
ButterflowSubregion

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    [SerializableAttribute]
    public class ButterflowSubregion : PropertyChangedAlerter

The ButterflowSubregion type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ButterflowSubregion | Initializes a new instance of the ButterflowSubregion class

Top
Properties

| Name | Description
--- | --- | ---
| End | Gets or sets the end of the subregion.
| Identifier | Gets a unique identifier used to locate this subregion withing a subregion collection.
| Start | Gets or sets the start of the subregion.
| SubregionType | Gets or sets the operation to be performed on the subregion.
| ToEnd | Gets or sets a value indicating whether the subregion runs to the end of the video.
| Value | Gets or sets the targeted value of the subregion.

Top
Methods

| Name | Description
--- | --- | ---
| AddConstantCallProperty | Adds a property that will always be called when any property is updated.. (Inherited from PropertyChangedAlerter.)
| OnAllPropertiesChanged | Executes when all properties are changed and should be updated. (Inherited from PropertyChangedAlerter.)
| OnPropertyChanged | Executes the property changed action. This alerts subscribers to its change in value. (Inherited from PropertyChangedAlerter.)

Top
Events

| Name | Description
--- | --- | ---
| PropertyChanged | Occurs when a property value changes. (Inherited from PropertyChangedAlerter.)

Top
Fields

| Name | Description
--- | --- | ---
| alwaysCall | A list of properties to always call as updated. Generally used for composite properties. (Inherited from PropertyChangedAlerter.)
| end | The end of the subregion.
| identifier | A unique identifier used to locate this subregion withing a subregion collection.
| start | The start of the subregion.
| subregionType | Type of opersion to perform on the subregion.
| toEnd | True if the subregion runs to the end, false if not.
| value | The value targeted for the subregion.

Top
See Also

#### Reference

butterflow_ui Namespace